| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
LPC18xx/43xx LWIP TCP Echo without an RTOS
LWIP examples

## Detailed Description

Example description
Welcome to the LWIP TCP Echo example using the raw API for standalone (without an RTOS) operation. This example shows how to use the raw API with the LWIP contrib TCP Echo example using the 18xx/43xx LWIP MAC and PHY drivers. The example shows how to handle PHY link monitoring and indicate to LWIP that a ethernet cable is plugged in. It also shows how to manage input packet handling and reclaim transmit pbufs once they are transmitted in the main processing loop.

To use the example, Simply connect an ethernet cable to the board. The board will acquire an IP address via DHCP and you can ping the board at it's IP address. You can monitor network traffice to the board using a tool such as wireshark at the boards MAC address.

Special connection requirements
There are no special connection requirements for this example.

Build procedures:
LPC18xx/43xx example quickstart for Keil uVision4
LPC18xx/43xx example quickstart for IAR EWARM
LPC18xx/43xx example quickstart for Code Red Xpresso

Supported boards and board setup:
Hitex 1850 evaluation boards
Hitex 4350 evaluation boards
Keil 1857 evaluation boards
Keil 4357 evaluation boards
NGX 1830 Xplorer boards
NGX 4330 Xplorer boards

Submitting LPCOpen issues:
Community support for LPCOpen

## Functions
static void | prvSetupHardware (void)
int | main (void)
| main routine for example_lwip_tcpecho_sa_18xx43xx

## Variables
static struct netif | lpc_netif
static struct netif | lpc_netif

## Function Documentation

int main | ( | void |  | ) |

main routine for example_lwip_tcpecho_sa_18xx43xx

Main program body.

Returns
  Function should not exit.

Definition at line 125 of file lwip_tcpecho_sa.c.

static void prvSetupHardware | ( | void |  | ) |
| static

Definition at line 105 of file lwip_tcpecho_sa.c.

## Variable Documentation

struct netif lpc_netif
| static

Definition at line 94 of file lwip_tcpecho_sa.c.

struct netif lpc_netif
| static

Definition at line 94 of file main.c.